{
  "name": "@rdx/ddd-domain",
  "version": "0.0.0",
  "private": true,
  "main": "dist/index.js",
  "module": "dist/index.mjs",
  "types": "dist/index.d.ts",
  "files": ["dist/**"],
  "scripts": {
    "build": "tsc",
    "dev": "tsc --watch",
    "lint": "eslint src/",
    "lint:fix": "eslint src/ --fix",
    "typecheck": "tsc --noEmit",
    "test": "jest"
  },
  "jest": {
    "preset": "@repo/jest-presets/node"
  },
  "devDependencies": {
    "@repo/typescript-config": "workspace:*",
    "@rdx/utils": "workspace:*",
    "@types/dinero.js": "^1.9.4",
    "typescript": "^5.8.3"
  },
  "dependencies": {
    "dinero.js": "^1.9.1",
    "libphonenumber-js": "^1.12.7",
    "shallow-equal-object": "^1.1.1",
    "uuid": "^11.1.0",
    "zod": "^3.24.3"
  }
}
